Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
frontpage.php File Reference

Go to the source code of this file.

## Functions
& | renderFrontpageArticle (&$t, &$locale, &$article, &$ini=null, $counter=0, $rows=null, $GrayScaleImageList=null)
& | renderFrontpageArticleDouble (&$t, &$locale, &$article1, &$article2, &$ini=null, $counter=0, $rows=null, $GrayScaleImageList=null)
& | renderShortSingleArticle (&$t, &$locale, &$article, &$ini=null, $counter=0, $rows=null, $GrayScaleImageList=null)
& | renderAd (&$t, &$locale, &$ad, &$ini=null)
& | renderFrontpageProduct (&$t, &$locale, &$product, &$ini=null)
& | renderFrontpageProductDouble (&$t, &$locale, &$product1, &$product2, &$ini=null)

## Variables
global | $CategoryID
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )
| $GrayScaleImageList = $ini->variable( "eZArticleMain", "GrayScaleImageList" )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $t
| $articleCount = 0
| $productCount = 0
| $adCount = 0
| $rows =& $sectionObject->frontPageRows()
| $page_element = array()
| $offsetArticleArray = array()
| $offsetProductArray = array()
| $tempArticle = new eZArticle()
| $articleList = array()
if(is_array( $rows) and count( $rows) > 0) | $user =& eZUser::currentUser()
| $locale = new eZLocale( $Language )
| $i =0
| $articleOffset = 0
| $productOffset = 0
| $adOffset = 0
| $pageContents = ""
| $counter = -1
| $SiteTitleAppend = ''
| $SiteDescriptionOverride = ''
| $eZLanguageOverride = ''

## Function Documentation

## ◆ renderAd()

& renderAd | ( | & | $t,
|  | & | $locale,
|  | & | $ad,
|  | & | $ini = `null`
| ) |  |

Definition at line 696 of file frontpage.php.

References $ad, $image, and $t.

## ◆ renderFrontpageArticle()

& renderFrontpageArticle | ( | & | $t,
|  | & | $locale,
|  | & | $article,
|  | & | $ini = `null`,
|  |  | $counter = `0`,
|  |  | $rows = `null`,
|  |  | $GrayScaleImageList = `null`
| ) |  |

Definition at line 326 of file frontpage.php.

References $article, $category, $CategoryID, $contents, $counter, $DefaultLinkText, $forum, $GrayScaleImageList, $ini, $locale, $renderer, $rows, $t, and $variation.

## ◆ renderFrontpageArticleDouble()

& renderFrontpageArticleDouble | ( | & | $t,
|  | & | $locale,
|  | & | $article1,
|  | & | $article2,
|  | & | $ini = `null`,
|  |  | $counter = `0`,
|  |  | $rows = `null`,
|  |  | $GrayScaleImageList = `null`
| ) |  |

Definition at line 439 of file frontpage.php.

References $category, $CategoryID, $contents, $counter, $DefaultLinkText, $forum, $GrayScaleImageList, $ini, $locale, $renderer, $rows, $t, and $variation.

## ◆ renderFrontpageProduct()

& renderFrontpageProduct | ( | & | $t,
|  | & | $locale,
|  | & | $product,
|  | & | $ini = `null`
| ) |  |

Definition at line 732 of file frontpage.php.

References $i, $ini, $options, $priceRange, $PricesIncludeVAT, $product, $t, $ThumbnailImageHeight, $ThumbnailImageWidth, and $variation.

## ◆ renderFrontpageProductDouble()

& renderFrontpageProductDouble | ( | & | $t,
|  | & | $locale,
|  | & | $product1,
|  | & | $product2,
|  | & | $ini = `null`
| ) |  |

Definition at line 832 of file frontpage.php.

References $i, $ini, $options, $priceRange, $PricesIncludeVAT, $t, $ThumbnailImageHeight, $ThumbnailImageWidth, and $variation.

## ◆ renderShortSingleArticle()

& renderShortSingleArticle | ( | & | $t,
|  | & | $locale,
|  | & | $article,
|  | & | $ini = `null`,
|  |  | $counter = `0`,
|  |  | $rows = `null`,
|  |  | $GrayScaleImageList = `null`
| ) |  |

Definition at line 644 of file frontpage.php.

References $article, $category, $CategoryID, $counter, $DefaultLinkText, $ini, $locale, $rows, and $t.

## Variable Documentation

## ◆ $adCount

$adCount = 0

Definition at line 123 of file frontpage.php.

## ◆ $adOffset

$adOffset = 0

Definition at line 247 of file frontpage.php.

## ◆ $articleCount

$articleCount = 0

Definition at line 121 of file frontpage.php.

## ◆ $articleList

$articleList = array()

Definition at line 135 of file frontpage.php.

## ◆ $articleOffset

$articleOffset = 0

Definition at line 245 of file frontpage.php.

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 48 of file frontpage.php.

## ◆ $CategoryID

global $CategoryID

Definition at line 42 of file frontpage.php.

Referenced by renderFrontpageArticle(), renderFrontpageArticleDouble(), and renderShortSingleArticle().

## ◆ $counter

$counter = -1

Definition at line 249 of file frontpage.php.

Referenced by renderFrontpageArticle(), renderFrontpageArticleDouble(), renderShortSingleArticle(), and eZForm\store().

## ◆ $DefaultLinkText

$DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )

Definition at line 49 of file frontpage.php.

Referenced by renderFrontpageArticle(), renderFrontpageArticleDouble(), and renderShortSingleArticle().

## ◆ $eZLanguageOverride

$eZLanguageOverride = ''

Definition at line 1058 of file frontpage.php.

## ◆ $GrayScaleImageList

$GrayScaleImageList = $ini->variable( "eZArticleMain", "GrayScaleImageList" )

Definition at line 50 of file frontpage.php.

Referenced by renderFrontpageArticle(), and renderFrontpageArticleDouble().

## ◆ $i

$i =0

Definition at line 243 of file frontpage.php.

Referenced by renderFrontpageProduct(), and renderFrontpageProductDouble().

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )

Definition at line 47 of file frontpage.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 44 of file frontpage.php.

Referenced by renderFrontpageArticle(), renderFrontpageArticleDouble(), renderFrontpageProduct(), renderFrontpageProductDouble(), and renderShortSingleArticle().

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 46 of file frontpage.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 242 of file frontpage.php.

Referenced by renderFrontpageArticle(), renderFrontpageArticleDouble(), and renderShortSingleArticle().

## ◆ $offsetArticleArray

$offsetArticleArray = array()

Definition at line 131 of file frontpage.php.

## ◆ $offsetProductArray

$offsetProductArray = array()

Definition at line 132 of file frontpage.php.

## ◆ $page_element

$page_element = array()

Definition at line 130 of file frontpage.php.

## ◆ $pageContents

$pageContents = ""

Definition at line 248 of file frontpage.php.

## ◆ $productCount

$productCount = 0

Definition at line 122 of file frontpage.php.

## ◆ $productOffset

$productOffset = 0

Definition at line 246 of file frontpage.php.

## ◆ $rows

$rows =& $sectionObject->frontPageRows()

Definition at line 128 of file frontpage.php.

Referenced by eZPersistentObject\count(), ezpSessionHandlerDB\count(), eZPublishSDK\databaseRelease(), eZPublishSDK\databaseVersion(), ezpSessionHandlerDB\deleteByUserIDs(), eZContentObjectState\fetchByConditions(), eZContentObjectStateGroup\fetchByConditions(), eZPersistentObject\fetchObject(), eZPersistentObject\fetchObjectList(), eZSection\frontPageRows(), ezpSessionHandlerDB\gc(), eZPersistentObject\handleRows(), eZContentObjectState\limitationList(), eZPersistentObject\newObjectOrder(), renderFrontpageArticle(), renderFrontpageArticleDouble(), renderShortSingleArticle(), eZPersistentObject\reorderObject(), eZLinkItem\setType(), eZContentObjectState\store(), eZPersistentObject\storeObject(), and eZPersistentObject\swapRow().

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 52 of file frontpage.php.

## ◆ $SiteDescriptionOverride

$SiteDescriptionOverride = ''

Definition at line 1057 of file frontpage.php.

## ◆ $SiteTitleAppend

$SiteTitleAppend = ''

Definition at line 1056 of file frontpage.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "frontpage.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: frontpage.php:46
$ini
$ini
Definition: frontpage.php:44

Definition at line 55 of file frontpage.php.

Referenced by renderAd(), renderFrontpageArticle(), renderFrontpageArticleDouble(), renderFrontpageProduct(), renderFrontpageProductDouble(), and renderShortSingleArticle().

## ◆ $tempArticle

$tempArticle = new eZArticle()

Definition at line 134 of file frontpage.php.

## ◆ $user

if (is_array($rows) and count($rows) > 0) $user =& eZUser::currentUser()

Definition at line 226 of file frontpage.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.